ResourceFields (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.constants.fields

## Enum ResourceFields

- java.lang.Object
- - java.lang.Enum<ResourceFields>
  - - org.gcube.application.aquamaps.aquamapsportlet.client.constants.fields.ResourceFields

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Serializable, Comparable<ResourceFields>

      public enum ResourceFields
      extends Enum<ResourceFields>
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `algorithm`
    `author`
    `defaultsource`
    `description`
    `disclaimer`
    `generationtime`
    `parameters`
    `provenience`
    `searchid`
    `sourcehcaf`
    `sourcehcaftable`
    `sourcehspec`
    `sourcehspectable`
    `sourcehspen`
    `sourcehspentable`
    `status`
    `tablename`
    `title`
    `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceFields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourceFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### searchid

          public static final ResourceFields searchid

    - #### title

          public static final ResourceFields title

    - #### tablename

          public static final ResourceFields tablename

    - #### description

          public static final ResourceFields description

    - #### author

          public static final ResourceFields author

    - #### disclaimer

          public static final ResourceFields disclaimer

    - #### provenience

          public static final ResourceFields provenience

    - #### generationtime

          public static final ResourceFields generationtime

    - #### sourcehcaf

          public static final ResourceFields sourcehcaf

    - #### sourcehspen

          public static final ResourceFields sourcehspen

    - #### sourcehspec

          public static final ResourceFields sourcehspec

    - #### parameters

          public static final ResourceFields parameters

    - #### status

          public static final ResourceFields status

    - #### sourcehcaftable

          public static final ResourceFields sourcehcaftable

    - #### sourcehspentable

          public static final ResourceFields sourcehspentable

    - #### sourcehspectable

          public static final ResourceFields sourcehspectable

    - #### type

          public static final ResourceFields type

    - #### algorithm

          public static final ResourceFields algorithm

    - #### defaultsource

          public static final ResourceFields defaultsource

  - ### Method Detail

    - #### values

          public static ResourceFields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceFields c : ResourceFields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceFields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.